|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QFrame

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QFrame class reference

### Public Functions

- QFrame ( QWidget * parent, const char * name, Qt::WindowFlags f = 0 )

- 60 public functions inherited from QWidget
- 8 public functions inherited from QObject
- 8 public functions inherited from QPaintDevice

## Member Function Documentation

### QFrame::QFrame ( QWidget * parent, const char * name, Qt::WindowFlags f = 0 )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.